%define upstream_name MooseX-AbstractMethod
%define upstream_version 0.004

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 10

Summary:	Declare methods requirements that must be satisfied
License:	LGPLv2
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(MooseX::Traits)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::Moose)

BuildArch:	noarch

%description
This extensions allows classes to flag certain methods as being required
to be implemented by a subclass, much as a Moose::Role does with
'requires'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.4.0-10.mga10
+ Revision: 2199869
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.4.0-9.mga9
+ Revision: 1804667
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-8.mga8
+ Revision: 1495645
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-7.mga7
+ Revision: 1269584
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-6.mga6
+ Revision: 1030319
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.4.0-5.mga6
+ Revision: 944493
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 750970
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.0-3.mga5
+ Revision: 727674
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 685511
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.4.0-1.mga5
+ Revision: 619464
- imported package perl-MooseX-AbstractMethod

